<?php
require_once('../wu_init.php');

if (!isset($_GET['ver'])) { wu_log_act(2, 'Пытался подтвердить E-mail без GET запроса'); header ('Location: /account/?status=danger&result=Ошибка подтверждения E-mail'); exit; }
$hash = mysqli_real_escape_string($connect_db, trim($_GET['ver']));
$arr = explode('_', $hash);
list($usr, $rand, $ha) = $arr;
$usr = intval($usr);
$us = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT uid,regdate,mail,mailver FROM ".DB_PREFIX."_users WHERE uid='$usr' LIMIT 1"));
$ver = $usr.'_'.$rand.'_'.md5($us['mail'].$us['uid'].$us['regdate']);
if ($hash == $ver) {
if ($us['mailver'] == 1) { wu_log_act(1, 'Пытался подтвердить подтверждённый E-mail'); header ('Location: /account/?status=danger&result=Ваш E-mail уже подтверждён'); exit; }
mysqli_query($connect_db, "UPDATE `".DB_PREFIX."_users` SET `mailver` = '1' WHERE uid='$usr' LIMIT 1");
wu_log_act(0, 'Подтвердил E-mail');
header ('Location: /account/?status=success&result=E-mail успешно подтверждён'); exit;
} else {
wu_log_act(2, 'Пытался подделать хэш для подтверждения E-mail');
header ('Location: /account/?status=danger&result=Ошибка подтверждения E-mail'); exit;
}
?>